List network ports
curl --request GET \
--url https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/ports \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/ports"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/ports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"id": "ae74714c-c380-48b4-87f8-758d656cdad6",
"name": "name",
"security_groups": [
{
"id": "4536dba1-93b1-492e-b3df-270b6b9f3650",
"name": "name1"
},
{
"id": "cee2ca1f-507a-4a31-b714-f6c1ffb4bdfa",
"name": "name2"
}
]
}
]
}Instances
List network ports
List all network ports of the specified instance
GET
/
cloud
/
v1
/
instances
/
{project_id}
/
{region_id}
/
{instance_id}
/
ports
List network ports
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Instance ID
Was this page helpful?
⌘I